Package com.pixelmed.test

# Class TestSequenceAttributeDelimitedString

java.lang.Object
junit.framework.Assert
junit.framework.TestCase
com.pixelmed.test.TestSequenceAttributeDelimitedString

All Implemented Interfaces:
  `junit.framework.Test`

public class TestSequenceAttributeDelimitedString extends junit.framework.TestCase

## Constructor Summary

Constructors
Constructor
Description
`TestSequenceAttributeDelimitedString(String name)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`setUp()`
`static junit.framework.Test`
`suite()`
`protected void`
`tearDown()`
`void`
`TestSequenceAttributeDelimitedString_EmptySequence()`
`void`
`TestSequenceAttributeDelimitedString_MultipleEmptyItems()`
`void`
`TestSequenceAttributeDelimitedString_MultipleItemsWithDefaultValues()`
`void`
`TestSequenceAttributeDelimitedString_MultipleItemsWithSpecifiedValues()`
`void`
`TestSequenceAttributeDelimitedString_NestedEmptyItems()`
`void`
`TestSequenceAttributeDelimitedString_NestedEmptySequence()`
`void`
`TestSequenceAttributeDelimitedString_NestedNonEmptyItems()`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TestSequenceAttributeDelimitedString

public TestSequenceAttributeDelimitedString(String name)

## Method Details

### suite

public static junit.framework.Test suite()

### setUp

protected void setUp()

Overrides:
  `setUp` in class `junit.framework.TestCase`

### tearDown

protected void tearDown()

Overrides:
  `tearDown` in class `junit.framework.TestCase`

### TestSequenceAttributeDelimitedString_EmptySequence

public void TestSequenceAttributeDelimitedString_EmptySequence()

### TestSequenceAttributeDelimitedString_MultipleEmptyItems

public void TestSequenceAttributeDelimitedString_MultipleEmptyItems()

### TestSequenceAttributeDelimitedString_MultipleItemsWithDefaultValues

public void TestSequenceAttributeDelimitedString_MultipleItemsWithDefaultValues()

### TestSequenceAttributeDelimitedString_MultipleItemsWithSpecifiedValues

public void TestSequenceAttributeDelimitedString_MultipleItemsWithSpecifiedValues() throws DicomException

Throws:
  `DicomException`

### TestSequenceAttributeDelimitedString_NestedEmptySequence

public void TestSequenceAttributeDelimitedString_NestedEmptySequence() throws DicomException

Throws:
  `DicomException`

### TestSequenceAttributeDelimitedString_NestedEmptyItems

public void TestSequenceAttributeDelimitedString_NestedEmptyItems() throws DicomException

Throws:
  `DicomException`

### TestSequenceAttributeDelimitedString_NestedNonEmptyItems

public void TestSequenceAttributeDelimitedString_NestedNonEmptyItems() throws DicomException

Throws:
  `DicomException`